params [["_beacon", ObjNull]];

if (isNull _beacon) exitWith { diag_log "Cannot initialize null object beacon";};

if (isNil "ttt_ndb_beacons") then {
	ttt_ndb_beacons = [];
	publicVariable "ttt_ndb_beacons";
	addMissionEventHandler ["EachFrame", {
		activeBeacon = player getVariable ["ttt_ndb_activeBeacon", ObjNull];
		if (!isNull activeBeacon and (vehicle player) isKindOf "Air") then {
			angle = player getRelDir activeBeacon;
			uiNamespace setVariable ["angle", angle];
			with uiNamespace do {
				ctrl ctrlSetAngle [angle, 0.5, 0.5];
			};
		} else {
			with uiNamespace do {
				ctrl ctrlSetTextColor [1,1,1,0];
			};
			beaconActive = false;
		};
	}];
};

ttt_ndb_beacons pushBackUnique _beacon;

ttt_ndb_beacons;